gbp-config(1)

NAME
gbp-config - Query configuration values

SYNOPSIS
gbp config
[--version] [--help] [--verbose] [--color=[auto|on|off]] [--color-scheme= COLOR_SCHEME] {command.option | command}

DESCRIPTION
gbp config prints values from the configuration files. It interpolates the value for option of command.

OPTIONS

\FC--version\F[]
    Print version of the program, i.e. version of the git-buildpackage suite

\FC-v\F[], \FC--verbose\F[]
    Verbose execution

\FC-h\F[], \FC--help\F[]
    Print help and exit

\FC--color=\F[][auto|on|off]
    Whether to use colored output.

\FC--color-scheme=\F[]COLOR_SCHEME
    Colors to use in output (when color is enabled). The format for COLOR_SCHEME is '<debug>:<info>:<warning>:<error>'. Numerical values and color names are accepted, empty fields imply the default color. For example, \FC--git-color-scheme=\F[]\FC'cyan:34::'\F[] would show debug messages in cyan, info messages in blue and other messages in default (i.e. warning and error messages in red).

EXIT CODES
When gbp config finishes, it indicates success or failure with its exit code:

\FC0\F[]
    Success.

\FC1\F[]
    Failed to parse command line

\FC2\F[]
    The value did not exist

EXAMPLES
Print the value \FCupstream-branch\F[] that gbp buildpackage would use:

\FC
    $ gbp config buildpackage.upstream-branch
    buildpackage.upstream-branch=upstream\F[]

Print the values of all of gbp buildpackage options

\FC
    $ gbp config buildpackage
    buildpackage.upstream-branch=upstream
    buildpackage.debian-branch=master
    ...\F[]

CONFIGURATION FILES
Several \FCgbp.conf\F[] files are parsed to set defaults for the above command-line arguments. See the gbp.conf(5) manpage for details.

SEE ALSO
gbp.conf(5)

AUTHOR
Guido Günther <\FCagx@sigxcpu.org\F[]>